Bug 132767 - Canna page causes Mozilla segfault
Canna page causes Mozilla segfault
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
http://www.nec.co.jp/japanese/product...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-16 15:39 EDT by Jerry James
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-21 13:01:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Backtrace after Mozilla segfaults (6.68 KB, text/plain)
2004-09-16 15:42 EDT, Jerry James
no flags Details

  None (edit)
Description Jerry James 2004-09-16 15:39:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
Visiting the Canna web page, from the default US locale at least,
causes Mozilla to crash with a segfault.  I installed the debuginfo
package and got a backtrace.  The actual crash is in
GetNormalLineHeight, layout/html/base/src/nsHTMLReflowState.cpp line
2124, because aFontMetrics is NULL.  I will attach the backtrace.

Version-Release number of selected component (if applicable):
mozilla-1.7.2-0.2.0

How reproducible:
Always

Steps to Reproduce:
1.Start Mozilla in the default US locale
2.Visit the indicated URL
3.
    

Actual Results:  Mozilla segfaults.

Expected Results:  It should have shown me a page full of Japanese, or
possibly some indication of missing fonts, as appropriate.

Additional info:
Comment 1 Jerry James 2004-09-16 15:42:00 EDT
Created attachment 103928 [details]
Backtrace after Mozilla segfaults
Comment 2 Christopher Blizzard 2004-09-27 12:26:12 EDT
Do you have some .fon fonts in your path?  Or font files that aren't
readable?  This is the stack trace that's usually the result of one of
those two things.
Comment 3 Jerry James 2004-09-28 14:51:36 EDT
Which path am I checking?  I looked in all the directories listed in
/etc/X11/fs/config, and there are no .fon files in any of them.  I
also long listed all of those directories and verified that the read
permission bits are turned on for ugo for all of them.

Mozilla uses fontconfig, doesn't it?  I have not edited anything in
/etc/fonts, nor have I installed any fonts other than those in the
Fedora Core 2 release.  I do not have a ~/.fonts.conf.

I updated to mozilla-1.7.3-0.2.0 today, and still have this problem. 
Thanks for your help.
Comment 4 James Croft 2004-12-13 12:24:53 EST
I am experiencing the same crash described above except this happens 
when I browse to any site. I have a up2dated fedora 3. All was fine 
until I installed flashplayer and TTF fonts from my Windows 
partition.  
 
I've removed the flash plugin and the problem remains. Is there any 
way to track down which TTF font might be causing the problem? 
Comment 5 Jerry James 2004-12-13 12:40:54 EST
This problem disappeared for me when I upgraded to Fedora Core 3.  To
solve your problem, try running ftlint on your TTF fonts.
Comment 6 Matthew Miller 2005-04-26 11:07:25 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 7 Jerry James 2005-12-29 23:02:59 EST
I just noticed that this bug is still marked NEEDINFO.  I have not encountered
it in either FC3 or FC4.  As far as I am concerned, you can close this bug.
Comment 8 John Thacker 2006-04-21 13:01:45 EDT
So I believe this is a problem with installing bad fonts, and thus can't really
be fixed by Fedora.  Also, the original reporter hasn't encountered it recently.
 Closing.

Note You need to log in before you can comment on or make changes to this bug.